View Issue Details

IDProjectCategoryView StatusLast Update
0003317GNUnettransport servicepublic2014-04-08 16:41
ReporterSree Harsha TotakuraAssigned ToMatthias Wachs 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003317: crash in transport testcase test_transport_testing
Descriptiontest_transport_testing testcase crashes with segmentation fault.
Steps To Reproducerun transport testcases
Additional InformationReading symbols from /home/totakura/repos/gnunet/src/transport/.libs/lt-test_transport_testing...done.
(gdb) core core.3386
warning: core file may not match specified executable file.
[New LWP 3386]
warning: Could not load shared library symbols for linux-vdso.so.1.
Do you need "set solib-search-path" or "set sysroot"?
warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7fff539fe000
Core was generated by `/home/totakura/gnunet/src/transport/.libs/lt-test_transport_testing'.
Program terminated with signal 11, Segmentation fault.
#0 0x00002adf4ce59030 in excess_trigger (cls=0xbf3060, tc=0x7fff538f3f60) at bandwidth.c:135
135 av->excess_cb (av->excess_cb_cls);
(gdb) bt
#0 0x00002adf4ce59030 in excess_trigger (cls=0xbf3060, tc=0x7fff538f3f60) at bandwidth.c:135
#1 0x00002adf4ce95cd3 in run_ready (rs=0xbad990, ws=0xbada20) at scheduler.c:595
#2 0x00002adf4ce96561 in GNUNET_SCHEDULER_run (task=0x2adf4ce90abe <program_main>, task_cls=0x7fff538f4200)
    at scheduler.c:817
#3 0x00002adf4ce9164f in GNUNET_PROGRAM_run2 (argc=3, argv=0x7fff538f4380,
    binaryName=0x401a0c "test_transport_testing", binaryHelp=0x401a43 "nohelp", options=0x7fff538f4340,
    task=0x401465 <run>, task_cls=0x602374 <ret>, run_without_scheduler=0) at program.c:302
#4 0x00002adf4ce917ab in GNUNET_PROGRAM_run (argc=3, argv=0x7fff538f4380,
    binaryName=0x401a0c "test_transport_testing", binaryHelp=0x401a43 "nohelp", options=0x7fff538f4340,
    task=0x401465 <run>, task_cls=0x602374 <ret>) at program.c:341
#5 0x00000000004017a0 in main (argc=1, argv=0x7fff538f4488) at test_transport_testing.c:201
(gdb) p av
$1 = (struct GNUNET_BANDWIDTH_Tracker *) 0xbf3060
(gdb) p *av
$2 = {update_cb_cls = 0xdf0adba0df0adba, update_cb = 0xdf0adba0df0adba, excess_cb_cls = 0xdf0adba0df0adba,
  excess_cb = 0xdf0adba0df0adba, consumption_since_last_update__ = 1004493731513019834, excess_task = 0,
  last_update__ = {abs_value_us = 1004493731513019834}, available_bytes_per_s__ = 233876922,
  max_carry_s__ = 233876922}
(gdb)
(gdb) bt full
#0 0x00002adf4ce59030 in excess_trigger (cls=0xbf3060, tc=0x7fff538f3f60) at bandwidth.c:135
        av = 0xbf3060
#1 0x00002adf4ce95cd3 in run_ready (rs=0xbad990, ws=0xbada20) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0xbf2830
        tc = {reason = GNUNET_SCHEDULER_REASON_TIMEOUT, read_ready = 0xbad990, write_ready = 0xbada20}
        __FUNCTION__ = "run_ready"
#2 0x00002adf4ce96561 in GNUNET_SCHEDULER_run (task=0x2adf4ce90abe <program_main>, task_cls=0x7fff538f4200)
    at scheduler.c:817
        rs = 0xbad990
        ws = 0xbada20
        timeout = {rel_value_us = 980002}
        ret = 0
        shc_int = 0xbc1e70
        shc_term = 0xbc1f30
        shc_quit = 0xbc2470
        shc_hup = 0xbc2530
        shc_pipe = 0xbc1ff0
        last_tr = 40
        busy_wait_warning = 0
        pr = 0xbc20f0
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#3 0x00002adf4ce9164f in GNUNET_PROGRAM_run2 (argc=3, argv=0x7fff538f4380,
    binaryName=0x401a0c "test_transport_testing", binaryHelp=0x401a43 "nohelp", options=0x7fff538f4340,
    task=0x401465 <run>, task_cls=0x602374 <ret>, run_without_scheduler=0) at program.c:302
        cc = {args = 0x7fff538f4398, cfgfile = 0xbad900 "test_transport_api_data.conf", task = 0x401465 <run>,
          task_cls = 0x602374 <ret>, cfg = 0xbac610}
        path = 0xbad900 "test_transport_api_data.conf"
        loglev = 0x0
        logfile = 0x0
        cfg_fn = 0xbadaf0 "~/.config/gnunet.conf"
        xdg = 0x0
        ret = 3
        cnt = 5
        skew_offset = 47138556138064
        skew_variance = 47138556208105
        clock_offset = 1
        cfg = 0xbac610
        defoptions = {{shortName = 99 'c', name = 0x2adf4ceb0230 "config",
            argumentHelp = 0x2adf4ceb0237 "FILENAME",
            description = 0x2adf4ceb0240 "use configuration file FILENAME", require_argument = 1,
            processor = 0x2adf4ce83efc <GNUNET_GETOPT_set_string>, scls = 0x7fff538f4208}, {shortName = 104 'h',
            name = 0x2adf4ceb0260 "help", argumentHelp = 0x0, description = 0x2adf4ceb0265 "print this help",
            require_argument = 0, processor = 0x2adf4ce83996 <GNUNET_GETOPT_format_help_>, scls = 0x401a43}, {
            shortName = 76 'L', name = 0x2adf4ceb0275 "log", argumentHelp = 0x2adf4ceb0279 "LOGLEVEL",
            description = 0x2adf4ceb0288 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x2adf4ce83efc <GNUNET_GETOPT_set_string>, scls = 0x7fff538f41f8}, {shortName = 108 'l',
            name = 0x2adf4ceb02aa "logfile", argumentHelp = 0x2adf4ceb02b2 "LOGFILE",
            description = 0x2adf4ceb02c0 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x2adf4ce83efc <GNUNET_GETOPT_set_string>, scls = 0x7fff538f41f0}, {shortName = 118 'v',
            name = 0x2adf4ceb02eb "version", argumentHelp = 0x0,
            description = 0x2adf4ceb02f3 "print the version number", require_argument = 0,
            processor = 0x2adf4ce83950 <GNUNET_GETOPT_print_version_>, scls = 0x2adf4ceb030c}}
        allopts = 0xbad990
        gargs = 0x0
        lpfx = 0xbadb10 "\360 \274"
        spc = 0x0
        __FUNCTION__ = "GNUNET_PROGRAM_run2"
#4 0x00002adf4ce917ab in GNUNET_PROGRAM_run (argc=3, argv=0x7fff538f4380,
    binaryName=0x401a0c "test_transport_testing", binaryHelp=0x401a43 "nohelp", options=0x7fff538f4340,
    task=0x401465 <run>, task_cls=0x602374 <ret>) at program.c:341
No locals.
#5 0x00000000004017a0 in main (argc=1, argv=0x7fff538f4488) at test_transport_testing.c:201
        argv_1 = {0x401a0c "test_transport_testing", 0x401a23 "-c", 0x401a26 "test_transport_api_data.conf", 0x0}
        options = {{shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
            processor = 0x0, scls = 0x0}}
(gdb)
TagsNo tags attached.

Activities

Sree Harsha Totakura

2014-02-09 22:50

developer   ~0008083

Similar crashes are observed in other transport testcases. They are also failing on the buildbots.

Matthias Wachs

2014-02-10 15:33

manager   ~0008085

fixed in 32274.

Issue History

Date Modified Username Field Change
2014-02-09 22:44 Sree Harsha Totakura New Issue
2014-02-09 22:44 Sree Harsha Totakura Status new => assigned
2014-02-09 22:44 Sree Harsha Totakura Assigned To => Matthias Wachs
2014-02-09 22:50 Sree Harsha Totakura Note Added: 0008083
2014-02-10 15:33 Matthias Wachs Note Added: 0008085
2014-02-10 15:33 Matthias Wachs Status assigned => resolved
2014-02-10 15:33 Matthias Wachs Resolution open => fixed
2014-04-08 16:39 Christian Grothoff Fixed in Version => 0.10.1
2014-04-08 16:39 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed